import request from '@/utils/request'

// 获取我的随手拍列表
export function getMySnapshotList(data) {
  return request({
    url: '/project/snap/getMySnapshotList',
    method: 'get',
    params: data
  })
}
//转违章或者转隐患
export function updateSnapshotStatus(data) {
  return request({
    url: '/project/snap/updateSnapshotStatus',
    method: 'post',
    data: data
  })
}
//删除随手拍
export function delSnapshot(data) {
  return request({
    url: '/project/snap/delSnapshot',
    method: 'post',
    data: data
  })
}
//更新随手拍
export function  updateSnapshot(data) {
  return request({
    url: '/project/snap/updateSnapshot',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data',
    },
    data
  })
}

//审核不通过
export function updateAuditStatus(data) {
  return request({
    url: '/project/snap/updateAuditStatus',
    method: 'post',
    data: data
  })
}


// 获取随手拍列表
export function getSnapshotList(data) {
  return request({
    url: '/project/snap/getSnapshotList',
    method: 'get',
    params: data
  })
}

export function transferViolation(data) {
  return request({
    url: '/project/snap/transferViolation',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data',
    },
    data: data
  })
}
export function transferHiddenDanger(data) {
  return request({
    url: '/project/snap/transferHiddenDanger',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data',
    },
    data: data
  })
}
